package com.emsoft.data.mongo

import com.emsoft.common.StringHelper
import com.emsoft.data.DataExHelper
import com.emsoft.exceptions.ErrorCode
import com.emsoft.exceptions.InternalException

/**
 * @author Vladimir Zhukov
 */
class MongoExHelper extends DataExHelper {

    private static final def ERROR_MESSAGES_FILE = "com/emsoft/data/mongo/resources/ErrorMessages"

    static void throwWrongOptionsFromConfigFile(String message = StringHelper.EMPTY) {
        throw new InternalException(ErrorCode.INTERNAL_ERROR, StringHelper.join(
                [getLocalMessage("WrongOptionsFromConfigFileMessage"), message], StringHelper.CR))
    }
}
