package com.emsoft.data.mongo

import com.mongodb.MongoOptions

/**
 * @author Vladimir Zhukov
 */
class MongoDbOptions {

    //extends MongoOptions {

    //    @Delegate
    //    private MongoOptions options
    public String host
    public int port
    public String db

    MongoDbOptions() {
        //        options = new MongoOptions()
    }

    //    void reset() {
    //        host = StringHelper.EMPTY
    //        port = 0
    //    }

    MongoOptions toMongoOptions() {
        def options = new MongoOptions()
        options.reset()
        return options
    }

    MongoDbOptions load(String groovyFile) {
        def config = new ConfigSlurper().parse(groovyFile.toURL())
        host = config.mongodb.host
        port = config.mongodb.port
    }
}
